Import("env")

hex_name = "bootloader.hex"
# Custom HEX from ELF
env.AddPostAction(
    "$BUILD_DIR/${PROGNAME}.elf",
    env.VerboseAction(" ".join([
        "$OBJCOPY", "-O", "ihex", "-R", ".eeprom",
        "$BUILD_DIR/${PROGNAME}.elf", "$BUILD_DIR/{}".format(hex_name)
    ]), "Building $BUILD_DIR/{}".format(hex_name))
) 